<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCustomUserFieldReq StructType
 * @subpackage Structs
 */
class AddCustomUserFieldReq extends APIRequest
{
    /**
     * The customUserField
     * @var XCustomUserField
     */
    public $customUserField;
    /**
     * Constructor method for AddCustomUserFieldReq
     * @uses AddCustomUserFieldReq::setCustomUserField()
     * @param XCustomUserField $customUserField
     */
    public function __construct(XCustomUserField $customUserField = null)
    {
        $this
            ->setCustomUserField($customUserField);
    }
    /**
     * Get customUserField value
     * @return XCustomUserField|null
     */
    public function getCustomUserField()
    {
        return $this->customUserField;
    }
    /**
     * Set customUserField value
     * @param XCustomUserField $customUserField
     * @return AddCustomUserFieldReq
     */
    public function setCustomUserField(XCustomUserField $customUserField = null)
    {
        $this->customUserField = $customUserField;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCustomUserFieldReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
